%if 0%{?fedora} < 26
%define require_openssl openssl-devel
%else
%define require_openssl compat-openssl10-devel
%endif

Summary: A library that hides the complexity of using the SIP protocol
Name: libeXosip2
Epoch:   1
Version: 4.1.0
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://savannah.nongnu.org/projects/eXosip
Source: http://download.savannah.nongnu.org/releases/exosip/libeXosip2-%{version}.tar.gz

BuildRequires: c-ares-devel
BuildRequires: ortp-devel >= 0.14.2
BuildRequires: libosip2-devel >= 4.1.0
BuildRequires: %{require_openssl}
BuildRequires: doxygen

%description
A library that hides the complexity of using the SIP protocol for
multimedia session establishment. This protocol is mainly to be used
by VoIP telephony applications (endpoints or conference server) but
might be also useful for any application that wish to establish
sessions like multiplayer games.

%package devel
Group: Development/Libraries
Summary: Development files for libeXosip2
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires: libosip2-devel

%description devel
Development files for libeXosip2.

%clean
%if "%{noclean}" == ""
   rm -rf $RPM_BUILD_ROOT
%endif

%prep
%setup -q

%build
%configure --disable-static
make %{_smp_mflags}
make doxygen

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/%{name}.la

mkdir -p %{buildroot}%{_mandir}/man3
cp help/doxygen/doc/man/man3/*.3* %{buildroot}%{_mandir}/man3


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README

%{_bindir}/sip_reg
%{_libdir}/libeXosip2.so.*

%files devel
%doc help/doxygen/doc/html help/doxygen/doc/latex

%{_includedir}/eXosip2
%{_libdir}/libeXosip2.so
%{_mandir}/man3/*.3*

